Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3823 - upgrade to 6.0 failed due to link pb
Summary: upgrade to 6.0 failed due to link pb
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-30 10:57 UTC by proux
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-10 21:13:26 UTC


Attachments (Terms of Use)

Description proux 1999-06-30 10:57:14 UTC
In the very begining 6.0 installation script, installation
try to
find rpmdatabase in /var/lib/rpm/packages.rpm
But on my system /var is a link to /tmp_var/var (I've got
one filesystem to /var and /tmp, /tpm is an other link to
/tpm_var/tmp).
I think, installation try to find packages.rpm on
/mnt/var/lib/rpm/packages.rpm
but for me, it will become /tmp_var/var/lib/rpm/packages.rpm
and this file is not find out there. It shoud be
/mnt/tmp_var/var/lib/rpm/packages.rpm
So instalation failed. If I recreate a normal /var every
think is allright !

Comment 1 Jay Turner 1999-06-30 12:12:59 UTC
Installer is unable to find the RPM database when it is located on a
symbolically linked volume.  This issue has been forwarded to the
installer developer for further action.

Comment 2 Jeff Johnson 1999-06-30 23:07:59 UTC
Make sure you use a relative link as in

	cd /
	ln -sf tmpvar/var var

Please reopen if this doesn't fix the problem.

Comment 3 proux 1999-07-01 07:20:59 UTC
It's already a symbolic link !

Comment 4 Jay Turner 2000-02-10 21:13:59 UTC
This issue is a result of the symbolic link being absolute instead of relative.
This is what causes the problem.  Changing the link from an absolute to a
relative link will solve the problem.


Note You need to log in before you can comment on or make changes to this bug.